| canfd Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCanFd_Config Struct Reference
Overview

This typedef contains configuration information for a device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Register base address. More...
u32 | Rx_Mode
| 1-Mailbox 0-sequential More...
u32 | NumofRxMbBuf
| Number of RxBuffers. More...
u32 | NumofTxBuf
| Number of TxBuffers. More...
u32 | IsPl
| IsPl, 1= AXI CANFD instance,0= CANFD instance. More...

## Detailed Description

This typedef contains configuration information for a device.

## Field Documentation

UINTPTR XCanFd_Config::BaseAddress

Register base address.

Referenced by main(), XCanFd_AcceptFilterDisable(), XCanFd_AcceptFilterEnable(), XCanFd_AcceptFilterGet(), XCanFd_AcceptFilterGetEnabled(), XCanFd_AcceptFilterSet(), XCanFd_Addto_Queue(), XCanFd_CfgInitialize(), XCanFd_Disable_Tranceiver_Delay_Compensation(), XCanFd_Enable_Tranceiver_Delay_Compensation(), XCanFd_EnterMode(), XCanFd_GetBaudRatePrescaler(), XCanFd_GetBitTiming(), XCanFd_GetBusErrorCounter(), XCanFd_GetFBaudRatePrescaler(), XCanFd_GetFBitTiming(), XCanFd_GetFreeBuffer(), XCanFd_GetNofMessages_Stored_Rx_Fifo(), XCanFd_GetNofMessages_Stored_TXE_FIFO(), XCanFd_InterruptClear(), XCanFd_InterruptDisable(), XCanFd_InterruptDisable_CancelRqt(), XCanFd_InterruptDisable_ReadyRqt(), XCanFd_InterruptDisable_RxBuffFull(), XCanFd_InterruptEnable(), XCanFd_InterruptEnable_CancelRqt(), XCanFd_InterruptEnable_ReadyRqt(), XCanFd_InterruptEnable_RxBuffFull(), XCanFd_Pee_BusOff_Handler(), XCanFd_Recv_Mailbox(), XCanFd_Recv_Sequential(), XCanFd_Recv_TXEvents_Sequential(), XCanFd_RxBuff_MailBox_Active(), XCanFd_RxBuff_MailBox_DeActive(), XCanFd_Send(), XCanFd_Send_Queue(), XCanFd_Set_MailBox_IdMask(), XCanFd_Set_Tranceiver_Delay_Compensation(), XCanFd_SetBaudRatePrescaler(), XCanFd_SetBitRateSwitch_DisableNominal(), XCanFd_SetBitRateSwitch_EnableNominal(), XCanFd_SetBitTiming(), XCanFd_SetFBaudRatePrescaler(), XCanFd_SetFBitTiming(), XCanFd_SetRxFilterPartition(), XCanFd_SetRxIntrWatermark(), XCanFd_SetRxIntrWatermarkFifo1(), XCanFd_SetTxEventIntrWatermark(), XCanFd_stop(), XCanFd_TxBuffer_Cancel_Request(), and XCanFdPolledExample().

u16 XCanFd_Config::DeviceId

Unique ID of device.

Referenced by XCanFd_CfgInitialize().

u32 XCanFd_Config::IsPl

IsPl, 1= AXI CANFD instance,0= CANFD instance.

Referenced by XCanFd_CfgInitialize().

u32 XCanFd_Config::NumofRxMbBuf

Number of RxBuffers.

Referenced by XCanFd_CfgInitialize().

u32 XCanFd_Config::NumofTxBuf

Number of TxBuffers.

Referenced by XCanFd_CfgInitialize().

u32 XCanFd_Config::Rx_Mode

1-Mailbox 0-sequential

Referenced by XCanFd_CfgInitialize().